Main Page | Modules | Class List | File List | Class Members | File Members

# Attributes

## Functions
void | CxImage::Enable (bool enable=true)
BYTE * | CxImage::GetBits (DWORD row=0)
WORD | CxImage::GetBpp () const
DWORD | CxImage::GetClrImportant () const
DWORD | CxImage::GetCodecOption (DWORD imagetype=0)
BYTE | CxImage::GetColorType ()
void * | CxImage::GetDIB () const
DWORD | CxImage::GetEffWidth () const
long | CxImage::GetEscape () const
DWORD | CxImage::GetFlags () const
long | CxImage::GetFrame () const
DWORD | CxImage::GetFrameDelay () const
DWORD | CxImage::GetHeight () const
BYTE | CxImage::GetJpegQuality () const
BYTE | CxImage::GetJpegScale () const
const char * | CxImage::GetLastError ()
DWORD | CxImage::GetNumColors () const
long | CxImage::GetNumFrames () const
void | CxImage::GetOffset (long *x, long *y)
long | CxImage::GetProgress () const
long | CxImage::GetSize ()
RGBQUAD | CxImage::GetTransColor ()
long | CxImage::GetTransIndex () const
DWORD | CxImage::GetType () const
const TCHAR * | CxImage::GetVersion ()
const float | CxImage::GetVersionNumber ()
DWORD | CxImage::GetWidth () const
long | CxImage::GetXDPI () const
long | CxImage::GetYDPI () const
bool | CxImage::IsEnabled () const
bool | CxImage::IsTransparent () const
bool | CxImage::IsValid () const
void | CxImage::SetClrImportant (DWORD ncolors=0)
bool | CxImage::SetCodecOption (DWORD opt, DWORD imagetype=0)
void | CxImage::SetEscape (long i)
void | CxImage::SetFlags (DWORD flags, bool bLockReservedFlags=true)
void | CxImage::SetFrame (long nFrame)
void | CxImage::SetFrameDelay (DWORD d)
void | CxImage::SetJpegQuality (BYTE q)
void | CxImage::SetJpegScale (BYTE q)
void | CxImage::SetOffset (long x, long y)
void | CxImage::SetProgress (long p)
void | CxImage::SetTransColor (RGBQUAD rgb)
void | CxImage::SetTransIndex (long idx)
void | CxImage::SetXDPI (long dpi)
void | CxImage::SetYDPI (long dpi)

## Function Documentation

void CxImage::Enable | ( | bool | enable = `true` | ) | `[inherited]`

| Enables/disables the image.

BYTE * CxImage::GetBits | ( | DWORD | row = `0` | ) | `[inherited]`

| Returns: pointer to the image pixels. USE CAREFULLY

WORD CxImage::GetBpp | ( |  | ) | const`[inherited]`

| Returns: : 1, 4, 8, 24.

DWORD CxImage::GetClrImportant | ( |  | ) | const`[inherited]`

| See also: SetClrImportant

DWORD CxImage::GetCodecOption | ( | DWORD | imagetype = `0` | ) | `[inherited]`

| See also: SetCodecOption

BYTE CxImage::GetColorType | ( |  | ) | `[inherited]`

| Returns: 1 = indexed, 2 = RGB, 4 = RGBA

void * CxImage::GetDIB | ( |  | ) | const`[inherited]`

| Returns: internal hDib object..

DWORD CxImage::GetEffWidth | ( |  | ) | const`[inherited]`

| Returns: DWORD aligned width of the image.

long CxImage::GetEscape | ( |  | ) | const`[inherited]`

| Returns: the escape code. See also: SetEscape

DWORD CxImage::GetFlags | ( |  | ) | const`[inherited]`

| See also: SetFlags

long CxImage::GetFrame | ( |  | ) | const`[inherited]`

| Returns: the current selected image (zero-based index).

DWORD CxImage::GetFrameDelay | ( |  | ) | const`[inherited]`

| Returns: current frame delay in milliseconds. Only for GIF and MNG formats.

DWORD CxImage::GetHeight | ( |  | ) | const`[inherited]`

BYTE CxImage::GetJpegQuality | ( |  | ) | const`[inherited]`

| See also: SetJpegQuality

BYTE CxImage::GetJpegScale | ( |  | ) | const`[inherited]`

| See also: SetJpegScale

const char * CxImage::GetLastError | ( |  | ) | `[inherited]`

| Returns the last reported error.

DWORD CxImage::GetNumColors | ( |  | ) | const`[inherited]`

| Returns: 2, 16, 256; 0 for RGB images.

long CxImage::GetNumFrames | ( |  | ) | const`[inherited]`

| This function must be used after a Decode() / Load() call. Use the sequence SetFrame(-1); Load(...); GetNumFrames(); to get the number of images without loading the first image. Returns: the number of images in the file.

void CxImage::GetOffset | ( | long * | x,
|  | long * | y
| ) | `[inherited]`

long CxImage::GetProgress | ( |  | ) | const`[inherited]`

| Used to monitor the slow loops. Returns: value is from 0 to 100. See also: SetProgress

long CxImage::GetSize | ( |  | ) | `[inherited]`

| Returns: the size in bytes of the internal pDib object

RGBQUAD CxImage::GetTransColor | ( |  | ) | `[inherited]`

| Returns: the color used for transparency, and/or for background color

long CxImage::GetTransIndex | ( |  | ) | const`[inherited]`

| Gets the index used for transparency. Returns -1 for no transparancy.

DWORD CxImage::GetType | ( |  | ) | const`[inherited]`

| Returns: original image format See also: ENUM_CXIMAGE_FORMATS.

const TCHAR * CxImage::GetVersion | ( |  | ) | `[inherited]`

const float CxImage::GetVersionNumber | ( |  | ) | `[inherited]`

| Returns: A.BBCCCDDDD A = main version BB = main revision CCC = minor revision (letter) DDDD = experimental revision

DWORD CxImage::GetWidth | ( |  | ) | const`[inherited]`

long CxImage::GetXDPI | ( |  | ) | const`[inherited]`

| Returns: Resolution for TIFF, JPEG, PNG and BMP formats.

long CxImage::GetYDPI | ( |  | ) | const`[inherited]`

| Returns: Resolution for TIFF, JPEG, PNG and BMP formats.

bool CxImage::IsEnabled | ( |  | ) | const`[inherited]`

| True if the image is enabled for painting.

bool CxImage::IsTransparent | ( |  | ) | const`[inherited]`

bool CxImage::IsValid | ( |  | ) | const`[inherited]`

| Checks if the image is correctly initializated.

void CxImage::SetClrImportant | ( | DWORD | ncolors = `0` | ) | `[inherited]`

  | sets the maximum number of colors that some functions like DecreaseBpp() or GetNearestIndex() will use on indexed images Parameters:
  | ncolors | should be less than 2^bpp, or 0 if all the colors are important.

bool CxImage::SetCodecOption | ( | DWORD | opt,
|  | DWORD | imagetype = `0`
| ) | `[inherited]`

| Encode option for GIF, TIF and JPG. GIF : 0 = LZW (default), 1 = none, 2 = RLE. TIF : 0 = automatic (default), or a valid compression code as defined in "tiff.h" (COMPRESSION_NONE = 1, COMPRESSION_CCITTRLE = 2, ...) JPG : valid values stored in enum CODEC_OPTION ( ENCODE_BASELINE = 0x01, ENCODE_PROGRESSIVE = 0x10, ...) Returns: true if everything is ok

void CxImage::SetEscape | ( | long | i | ) | `[inherited]`

| Used to quit the slow loops or the codecs. SetEscape(-1) before Decode forces the function to exit, right after the image width and height are available ( for bmp, jpg, gif, tif )

void CxImage::SetFlags | ( | DWORD | flags,
|  | bool | bLockReservedFlags = `true`
| ) | `[inherited]`

  | Image flags, for future use Parameters:
  | flags | 0x??00000 = reserved for 16 bit, CMYK, multilayer 0x00??0000 = blend modes 0x0000???? = layer id or user flags
  | bLockReservedFlags | protects the "reserved" and "blend modes" flags

void CxImage::SetFrame | ( | long | nFrame | ) | `[inherited]`

| Sets the image number that the next Decode() / Load() call will load

void CxImage::SetFrameDelay | ( | DWORD | d | ) | `[inherited]`

  | Sets current frame delay. Only for GIF format. Parameters:
  | d | = delay in milliseconds

void CxImage::SetJpegQuality | ( | BYTE | q | ) | `[inherited]`

  | quality level for JPEG and JPEG2000 Parameters:
  | q: | can be from 0 to 100

void CxImage::SetJpegScale | ( | BYTE | q | ) | `[inherited]`

| scaling down during JPEG decoding valid numbers are 1, 2, 4, 8 Author: [ignacio]

void CxImage::SetOffset | ( | long | x,
|  | long | y
| ) | `[inherited]`

void CxImage::SetProgress | ( | long | p | ) | `[inherited]`

  | Forces the value of the internal progress variable. Parameters:
  | p | should be from 0 to 100.
See also: GetProgress

void CxImage::SetTransColor | ( | RGBQUAD | rgb | ) | `[inherited]`

| Sets the color used for transparency with 24 bpp images. You must call SetTransIndex(0) to enable the effect, SetTransIndex(-1) to disable it.

void CxImage::SetTransIndex | ( | long | idx | ) | `[inherited]`

| Sets the index used for transparency with 1, 4 and 8 bpp images. Set to -1 to remove the effect.

void CxImage::SetXDPI | ( | long | dpi | ) | `[inherited]`

| Set resolution for TIFF, JPEG, PNG and BMP formats.

void CxImage::SetYDPI | ( | long | dpi | ) | `[inherited]`

| Set resolution for TIFF, JPEG, PNG and BMP formats.